List of triggers

JSON API compatibility divergence

Filters

In JSON API standard (https://jsonapi.org/recommendations/#filtering) one can request elements with multiple filter values by simply providing them separated by coma:

triggers?filter[trigger_type]=click,event

This notation will not work here. You can achieve this functionality by providing multiple filters for the same parameter:

triggers?filter[trigger_type][]=click&filter[trigger_type][]=event

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

Application identifier

Query Params
integer
≥ 1

Limits the number of returned items

integer
≥ 0

Sets offset for list of items

string
length between 1 and 255

Filter triggers by name

string
enum

Filter triggers by type

boolean

Filter triggers by having any condition with audience or not

uuid

Filter triggers by conditions with audience id. This is a multi-value filter. See supported notation in endpoint description

boolean

Filter triggers by having a relation to any tags or not

boolean
sort
array of strings
length ≥ 1

Comma-separated sort list with given attributes: name, created_at, updated_at

sort
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/vnd.api+json